tt_file_quit(library call)

NAME
tt_file_quit — register lack of interest in messages that involve a file

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_file_quit(
const char *filepath);

DESCRIPTION

The tt_file_quit function informs the ToolTalk service that the process is no longer interested in messages that involve the specified file.

The ToolTalk service removes this file value from any currently registered patterns and sets the default file to NULL.

The filepath argument is the name of the file in which the process is no longer interested.

RETURN VALUE

Upon successful completion, the tt_file_quit function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_PATH
    The specified pathname included an unsearchable directory.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_default_file(3).